Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		SDL_ttf
Version:	2.0.9
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.libsdl.org/projects/SDL_ttf/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	SDL_ttf allows you to use TrueType fonts to render text in SDL applications.
BuildRequires:	SDL-devel freetype-devel

%description
SDL_ttf allows you to use TrueType fonts to render text in SDL applications.
For more details see: http://www.libsdl.org/projects/SDL_ttf/

%package	devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-dependency-tracking
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.9-1
- Version update
* Wed Jul 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.8-4
- rebuilt against SDL 1.2.11
* Sun May 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.8-3
- rebuilt against SDL 1.2.10, added freetype public API patch
* Thu May 18 2006 Christian Wasem <wasem@ccux-linux.de> 2.0.8-1
- Update to Version 2.0.8
* Sun Nov 27 2005 Christian Wasem <wasem@ccux-linux.de> 2.0.7-2
- rebuilt, removed wrong Obsoletes-Tag
* Wed Apr 13 2005 Christian Wasem <wasem@ccux-linux.de> 2.0.7-1
- Update to Version 2.0.7
